Package com.sun.speech.freetts

# Interface PartOfSpeech

All Known Implementing Classes:
  `PartOfSpeechImpl`

public interface PartOfSpeech
Determines the part of speech of a word.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPartOfSpeech(String word)`
Returns a description of the part of speech given a word.

## Method Details

### getPartOfSpeech

String getPartOfSpeech(String word)
Returns a description of the part of speech given a word. The string is implementation dependent.

Parameters:
  `word` - the word to classify
Returns:
  an implementation dependent part of speech for the word